View Issue Details

IDProjectCategoryView StatusLast Update
1490HDSlogGeneralPublicMay 31st 2024 3:57 PM
ReporterNBug Reporter Assigned To 
Priority NormalSeverityCrashReproducibilityHave Not Tried
Status NewResolutionOpen 
ProjectionNoneETANone 
PlatformWin32NTOSMicrosoft Windows NT 6.2.9200.0OS Version6.2.9200.0
Product Version1.23.0.4 
Summary1490: The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process. @ Void WinIOError(Int32, System.String) @ System.IO.__Error
Description
<SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <ExtendedInformation>
    <HResult>-2147024864</HResult>
  </ExtendedInformation>
  <InnerExceptions />
  <Message>The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process.</Message>
  <Source>mscorlib</Source>
  <StackTrace>   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
   at System.IO.FileStream.Init(String path, FileMode mode, FileAccess access, Int32 rights, Boolean useRights, FileShare share, Int32 bufferSize, FileOptions options, SECURITY_ATTRIBUTES secAttrs, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
   at System.IO.FileStream..ctor(String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, FileOptions options, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
   at System.IO.StreamWriter.CreateFile(String path, Boolean append, Boolean checkHost)
   at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding, Int32 bufferSize, Boolean checkHost)
   at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding)
   at System.IO.File.InternalAppendAllText(String path, String contents, Encoding encoding)
   at System.IO.File.AppendAllText(String path, String contents)
   at NBug.Core.Util.Logging.Logger.<>c.<.cctor>b__0_0(String message, LoggerCategory category)
   at NBug.Core.Util.Logging.Logger.Write(String message, LoggerCategory category)
   at NBug.Core.Reporting.BugReport.OnProcessException(Exception exception, Report report)
   at HdsDB.Exceptions.ExceptionHandler.Handle(HDSModule app, Exception exception, String message)</StackTrace>
  <TargetSite>Void WinIOError(Int32, System.String) @ System.IO.__Error</TargetSite>
  <Type>System.IO.IOException</Type>
</SerializableException>
Additional Information
<Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <GeneralInfo>
    <CLRVersion>4.0.30319.42000</CLRVersion>
    <DateTime>5/16/2024 3:39:15 AM</DateTime>
    <ExceptionMessage>The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process.</ExceptionMessage>
    <ExceptionType>System.IO.IOException</ExceptionType>
    <HostApplication>HN32-13.exe</HostApplication>
    <HostApplicationVersion>1.23.0.4</HostApplicationVersion>
    <NBugVersion>1.2.1.0</NBugVersion>
    <TargetSite>Void WinIOError(Int32, System.String) @ System.IO.__Error</TargetSite>
  </GeneralInfo>
</Report>
TagsBug, Crash, NBug
Attached Files
Exception_133603043550694114.zip (3,772,512 bytes)

Zip Contents

  • Exception.xml (1,962 bytes)   
    <?xml version="1.0"?>
    <SerializableException xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <ExtendedInformation>
        <HResult>-2147024864</HResult>
      </ExtendedInformation>
      <Message>The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process.</Message>
      <Source>mscorlib</Source>
      <StackTrace>   at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
       at System.IO.FileStream.Init(String path, FileMode mode, FileAccess access, Int32 rights, Boolean useRights, FileShare share, Int32 bufferSize, FileOptions options, SECURITY_ATTRIBUTES secAttrs, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
       at System.IO.FileStream..ctor(String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, FileOptions options, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
       at System.IO.StreamWriter.CreateFile(String path, Boolean append, Boolean checkHost)
       at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding, Int32 bufferSize, Boolean checkHost)
       at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding)
       at System.IO.File.InternalAppendAllText(String path, String contents, Encoding encoding)
       at System.IO.File.AppendAllText(String path, String contents)
       at NBug.Core.Util.Logging.Logger.&lt;&gt;c.&lt;.cctor&gt;b__0_0(String message, LoggerCategory category)
       at NBug.Core.Util.Logging.Logger.Write(String message, LoggerCategory category)
       at NBug.Core.Reporting.BugReport.OnProcessException(Exception exception, Report report)
       at HdsDB.Exceptions.ExceptionHandler.Handle(HDSModule app, Exception exception, String message)</StackTrace>
      <TargetSite>Void WinIOError(Int32, System.String) @ System.IO.__Error</TargetSite>
      <Type>System.IO.IOException</Type>
    </SerializableException>
      
  • Report.xml (713 bytes)   
    <?xml version="1.0"?>
    <Report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <GeneralInfo>
        <CLRVersion>4.0.30319.42000</CLRVersion>
        <DateTime>5/16/2024 3:39:15 AM</DateTime>
        <ExceptionMessage>The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process.</ExceptionMessage>
        <ExceptionType>System.IO.IOException</ExceptionType>
        <HostApplication>HN32-13.exe</HostApplication>
        <HostApplicationVersion>1.23.0.4</HostApplicationVersion>
        <NBugVersion>1.2.1.0</NBugVersion>
        <TargetSite>Void WinIOError(Int32, System.String) @ System.IO.__Error</TargetSite>
      </GeneralInfo>
    </Report>
      
  • MiniDump.mdmp (981,039 bytes)
  • files/HDS.Net.Info.lic (557 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>N22-009</Key>
      <IssueDate>2022-07-29T00:00:00</IssueDate>
      <ExpireDate>2024-07-29T00:00:00</ExpireDate>
      <IssuedTo>ATXCPE</IssuedTo>
      <Company>ATXCPE</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>1</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (25,233 bytes)   
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:20:18|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:22|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:23|TaskManager|frmMain|INFO]: Loading running HDSlog applications.
    [2024-05-15 22:20:23|TaskManager|frmMain|INFO]: Added running process "HN32-TaskMan" as HDSlog application TaskManager.
    [2024-05-15 22:20:23|TaskManager|frmMain|INFO]: Added running process "HN32-00" as HDSlog application Main_Menu.
    [2024-05-15 22:20:30|MainMenu|frmMain|INFO]: Current HDSlog path is "C:\HDSlog\".
    [2024-05-15 22:20:30|MainMenu|frmMain|INFO]: Current data path is "P:\2002\2002_06\Logs\".
    [2024-05-15 22:20:31|MainMenu|mod_Main|ERROR]: Failed to load Curve names from table "CurveData001".
    [2024-05-15 22:20:34|MainMenu|frmMain|ERROR]: Failed to load file "P:\2002\2002_06\Logs\4236535741.mdb". Removing it as the current file.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:20:40|TaskManager|frmMain|INFO]: Removed closed application Main_Menu from list of applications.
    [2024-05-15 22:20:40|TaskManager|frmMain|INFO]: Closing application.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:20:49|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:53|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:53|TaskManager|frmMain|INFO]: Loading running HDSlog applications.
    [2024-05-15 22:20:53|TaskManager|frmMain|INFO]: Added running process "HN32-00" as HDSlog application Main_Menu.
    [2024-05-15 22:20:53|TaskManager|frmMain|INFO]: Added running process "HN32-TaskMan" as HDSlog application TaskManager.
    [2024-05-15 22:21:00|MainMenu|frmMain|INFO]: Current HDSlog path is "C:\HDSlog\".
    [2024-05-15 22:21:00|MainMenu|frmMain|INFO]: Current data path is "P:\2002\2002_06\Logs\".
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:21:27|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:21:28|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:21:28|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:21:28|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:21:30|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:22:24|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\247185(MJ)\42365357410000_05_15_24_1504.LAS" with output file "P:\2002\2002_06\Logs\42-365-35741.mdb".
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:25:20|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:26:06|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:26:07|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:26:07|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:26:07|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:26:08|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\247185(MJ)\".
    [2024-05-15 22:26:36|HdsData|GlobalCore|ERROR]: Failed to load Data Sets from file "P:\2002\2002_06\Logs\4236535741.mdb". System.NullReferenceException: Object reference not set to an instance of an object.
       at HdsDB.GlobalCore.GetDataSets(String avFile)
    [2024-05-15 22:26:53|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\42365357410000_05_15_24_1504.LAS" with output file "P:\2002\2002_06\Logs\4236535741.mdb".
    [2024-05-15 22:26:53|HdsData|HdsIO|INFO]: Set the current file to "P:\2002\2002_06\Logs\4236535741".
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:28:21|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:28:35|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:28:35|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:28:35|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:28:35|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:28:37|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:29:28|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS" with output file "P:\2002\2002_06\Logs\test.mdb".
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|INFO]: Curve "DPHI" was assigned the default Lithology.
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|INFO]: Curve "NPHI" was assigned the default Lithology.
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|WARN]: Found possible incorrect Unit specifications for the Curve "DPHI". Input units are labeled "V/V", but the data looks like "%". The average value is 9.933848.
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|WARN]: Found possible incorrect Unit specifications for the Curve "NPHI". Input units are labeled "V/V", but the data looks like "%". The average value is 17.33493.
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|INFO]: Found 1 Depth Reference Curves in LAS file "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS".
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|INFO]: Found 1 unrecognized Resistivity or Conductivity Curves in LAS file "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS".
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|WARN]: Found possible unit conflicts.
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|INFO]: Defined default Lithology.
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|WARN]: Review "Other Information" on the "Optional -  Depths, Units, Lith, Neutron, SC" tab.
    [2024-05-15 22:29:43|ImportLAS|frmMain|INFO]: User canceled import, load incomplete for LAS file "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS", database file "P:\2002\2002_06\Logs\test.mdb" was deleted.
    [2024-05-15 22:29:43|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Sending message HDS_ALL_REFRESH from calling application Import_Ascii to all running HDS applications.
    [2024-05-15 22:29:56|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:29:58|HdsData|HDSApp|WARN]: Failed to access process System.Diagnostics.Process (HN32-TaskMan). System.InvalidOperationException: Process has exited, so the requested information is not available.
       at System.Diagnostics.Process.EnsureState(State state)
       at System.Diagnostics.Process.get_ProcessName()
       at HdsDB.HDSApp.Equals(HDSApp other)
    [2024-05-15 22:29:58|TaskManager|frmMain|INFO]: Removed closed application Main_Menu from list of applications.
    [2024-05-15 22:29:58|TaskManager|frmMain|INFO]: Closing application.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:32:56|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:32:58|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:32:58|TaskManager|frmMain|INFO]: Loading running HDSlog applications.
    [2024-05-15 22:32:58|TaskManager|frmMain|INFO]: Added running process "HN32-TaskMan" as HDSlog application TaskManager.
    [2024-05-15 22:32:58|TaskManager|frmMain|INFO]: Added running process "HN32-00" as HDSlog application Main_Menu.
    [2024-05-15 22:33:06|MainMenu|frmMain|INFO]: Current HDSlog path is "C:\HDSlog\".
    [2024-05-15 22:33:07|MainMenu|frmMain|INFO]: Current data path is "P:\2002\2002_06\Logs\".
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:33:23|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:33:24|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:33:24|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:33:24|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:33:25|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:33:44|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\42365357410000_05_15_24_1504.LAS" with output file "P:\2002\2002_06\Logs\A.mdb".
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:36:44|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    [2024-05-15 22:37:43|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:37:43|FileExplorer|frmExplorer|INFO]: Loading directories for data path "P:\2002\2002_06\Logs".
    [2024-05-15 22:37:43|TaskManager|frmMain|INFO]: Added running process "HN32-Explorer" as HDSlog application File_Explorer.
    [2024-05-15 22:37:45|HdsData|HDSDatabase|ERROR]: Failed to check fields for table "Header001" in file "P:\2002\2002_06\Logs\A.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\A.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.CheckFields(String file, String table, String fields)
    [2024-05-15 22:37:55|HdsData|HDSDatabase|ERROR]: Failed to retrieve table name for table "FormationTops001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.GetTableName(String file, String table)
    [2024-05-15 22:38:09|HdsData|HDSDatabase|ERROR]: Failed to check if table "FormationTops001" exists in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.TableExists(String file, String table)
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x2 lparam=0x3 result=0x0" from calling application File_Explorer.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 2".
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:38:24|TaskManager|frmMain|INFO]: Sending message HDS_ALL_RELOAD from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:38:25|TaskManager|frmMain|INFO]: Removed closed application File_Explorer from list of applications.
    [2024-05-15 22:38:25|MainMenu|mod_Main|INFO]: Loaded Curve names from table "CurveData001".
    [2024-05-15 22:38:26|HdsData|HDSDatabase|ERROR]: Failed to retrieve table name for table "FormationTops001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.GetTableName(String file, String table)
    [2024-05-15 22:38:37|HdsData|HDSDatabase|ERROR]: Failed to retrieve table name for table "PerfData001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.GetTableName(String file, String table)
    [2024-05-15 22:38:49|MainMenu|frmMain|INFO]: Finished loading file "P:\2002\2002_06\Logs\42-365-35107.mdb" in 25.03 sec.
    [2024-05-15 22:38:49|MainMenu|frmMain|INFO]: Currently active Data Set is "Load Run 1" with a Measured Depth range of 1444 F to 9904 F.
    [2024-05-15 22:38:49|MainMenu|frmMain|INFO]: Loaded 51 Curves and 1 Borehole runs in 25.05 sec.
    [2024-05-15 22:38:51|MainMenu|frmMain|INFO]: Finished loading Header child window in 120 ms.
    [2024-05-15 22:38:54|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x3 lparam=0x2f result=0x0" from calling application Main_Menu.
    [2024-05-15 22:38:54|TaskManager|frmMain|INFO]: Attempting to launch application Log_Plots with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:38:54|TaskManager|frmMain|INFO]: Application Log_Plots is not running. Attempting to launch executable file "C:\HDSlog\HN32-13.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:38:59|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:39:00|TaskManager|frmMain|INFO]: Added running process "HN32-13" as HDSlog application Log_Plots.
    [2024-05-15 22:39:00|TaskManager|frmMain|INFO]: Application HN32-13 was launched successfully.
    [2024-05-15 22:39:00|TaskManager|frmMain|INFO]: Attempting to set active window to Log_Plots.
    [2024-05-15 22:39:02|LogPlots|frmMain|INFO]: Initializing current file "P:\2002\2002_06\Logs\42-365-35107.mdb".
    [2024-05-15 22:39:03|HdsLP|LogPlot|INFO]: Started loading file "P:\2002\2002_06\Logs\42-365-35107.mdb".
    [2024-05-15 22:39:03|HdsLP|LogPlot|INFO]: Currently active data set is "Load Run 1".
    [2024-05-15 22:39:05|HdsData|HDSDatabase|ERROR]: Failed to check fields for table "Rmf001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.CheckFields(String file, String table, String fields)
    [2024-05-15 22:39:11|HdsLP|clsImages|ERROR]: Failed to load log images from table "LogImages" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsLP.clsImages.LoadFromMdb(String file)
    [2024-05-15 22:39:13|HdsData|ExceptionHandler|ERROR]: Failed to create report for exception System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsLP.clsImages.LoadFromMdb(String file). System.IO.IOException: The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process.
       at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
       at System.IO.FileStream.Init(String path, FileMode mode, FileAccess access, Int32 rights, Boolean useRights, FileShare share, Int32 bufferSize, FileOptions options, SECURITY_ATTRIBUTES secAttrs, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
       at System.IO.FileStream..ctor(String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, FileOptions options, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
       at System.IO.StreamWriter.CreateFile(String path, Boolean append, Boolean checkHost)
       at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding, Int32 bufferSize, Boolean checkHost)
       at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding)
       at System.IO.File.InternalAppendAllText(String path, String contents, Encoding encoding)
       at System.IO.File.AppendAllText(String path, String contents)
       at NBug.Core.Util.Logging.Logger.<>c.<.cctor>b__0_0(String message, LoggerCategory category)
       at NBug.Core.Util.Logging.Logger.Write(String message, LoggerCategory category)
       at NBug.Core.Reporting.BugReport.OnProcessException(Exception exception, Report report)
       at HdsDB.Exceptions.ExceptionHandler.Handle(HDSModule app, Exception exception, String message)
    
      
  • files/42-365-35107.mdb (4,161,536 bytes)
  • files/HDS.Net.Info.lic (557 bytes)   
    <?xml version="1.0" encoding="utf-8"?>
    <LicenseInfo xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <Key>N22-009</Key>
      <IssueDate>2022-07-29T00:00:00</IssueDate>
      <ExpireDate>2024-07-29T00:00:00</ExpireDate>
      <IssuedTo>ATXCPE</IssuedTo>
      <Company>ATXCPE</Company>
      <IssuedBy>Hydrocarbon Data Systems, Inc. - AS</IssuedBy>
      <Copies>1</Copies>
      <Type>Workstation</Type>
      <Package>Full</Package>
      <Demo>false</Demo>
      <Test>false</Test>
      <Verified>true</Verified>
    </LicenseInfo>
      
  • files/Logs/HDSlog.txt (25,233 bytes)   
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:20:18|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:22|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:23|TaskManager|frmMain|INFO]: Loading running HDSlog applications.
    [2024-05-15 22:20:23|TaskManager|frmMain|INFO]: Added running process "HN32-TaskMan" as HDSlog application TaskManager.
    [2024-05-15 22:20:23|TaskManager|frmMain|INFO]: Added running process "HN32-00" as HDSlog application Main_Menu.
    [2024-05-15 22:20:30|MainMenu|frmMain|INFO]: Current HDSlog path is "C:\HDSlog\".
    [2024-05-15 22:20:30|MainMenu|frmMain|INFO]: Current data path is "P:\2002\2002_06\Logs\".
    [2024-05-15 22:20:31|MainMenu|mod_Main|ERROR]: Failed to load Curve names from table "CurveData001".
    [2024-05-15 22:20:34|MainMenu|frmMain|ERROR]: Failed to load file "P:\2002\2002_06\Logs\4236535741.mdb". Removing it as the current file.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:20:40|TaskManager|frmMain|INFO]: Removed closed application Main_Menu from list of applications.
    [2024-05-15 22:20:40|TaskManager|frmMain|INFO]: Closing application.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:20:49|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:53|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:20:53|TaskManager|frmMain|INFO]: Loading running HDSlog applications.
    [2024-05-15 22:20:53|TaskManager|frmMain|INFO]: Added running process "HN32-00" as HDSlog application Main_Menu.
    [2024-05-15 22:20:53|TaskManager|frmMain|INFO]: Added running process "HN32-TaskMan" as HDSlog application TaskManager.
    [2024-05-15 22:21:00|MainMenu|frmMain|INFO]: Current HDSlog path is "C:\HDSlog\".
    [2024-05-15 22:21:00|MainMenu|frmMain|INFO]: Current data path is "P:\2002\2002_06\Logs\".
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:21:23|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:21:27|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:21:28|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:21:28|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:21:28|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:21:30|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:22:24|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\247185(MJ)\42365357410000_05_15_24_1504.LAS" with output file "P:\2002\2002_06\Logs\42-365-35741.mdb".
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:25:19|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:25:20|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:26:02|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:26:06|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:26:07|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:26:07|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:26:07|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:26:08|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\247185(MJ)\".
    [2024-05-15 22:26:36|HdsData|GlobalCore|ERROR]: Failed to load Data Sets from file "P:\2002\2002_06\Logs\4236535741.mdb". System.NullReferenceException: Object reference not set to an instance of an object.
       at HdsDB.GlobalCore.GetDataSets(String avFile)
    [2024-05-15 22:26:53|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\42365357410000_05_15_24_1504.LAS" with output file "P:\2002\2002_06\Logs\4236535741.mdb".
    [2024-05-15 22:26:53|HdsData|HdsIO|INFO]: Set the current file to "P:\2002\2002_06\Logs\4236535741".
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:28:20|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:28:21|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:28:31|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:28:35|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:28:35|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:28:35|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:28:35|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:28:37|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:29:28|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS" with output file "P:\2002\2002_06\Logs\test.mdb".
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|INFO]: Curve "DPHI" was assigned the default Lithology.
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|INFO]: Curve "NPHI" was assigned the default Lithology.
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|WARN]: Found possible incorrect Unit specifications for the Curve "DPHI". Input units are labeled "V/V", but the data looks like "%". The average value is 9.933848.
    [2024-05-15 22:29:33|ImportLAS|CheckInputSpecs|WARN]: Found possible incorrect Unit specifications for the Curve "NPHI". Input units are labeled "V/V", but the data looks like "%". The average value is 17.33493.
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|INFO]: Found 1 Depth Reference Curves in LAS file "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS".
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|INFO]: Found 1 unrecognized Resistivity or Conductivity Curves in LAS file "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS".
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|WARN]: Found possible unit conflicts.
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|INFO]: Defined default Lithology.
    [2024-05-15 22:29:33|ImportLAS|frmLoadSelect|WARN]: Review "Other Information" on the "Optional -  Depths, Units, Lith, Neutron, SC" tab.
    [2024-05-15 22:29:43|ImportLAS|frmMain|INFO]: User canceled import, load incomplete for LAS file "P:\2002\2002_06\Logs\42-365-35107-00-00_DIG_RS0031754803.LAS", database file "P:\2002\2002_06\Logs\test.mdb" was deleted.
    [2024-05-15 22:29:43|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x8089a wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:29:55|TaskManager|frmMain|INFO]: Sending message HDS_ALL_REFRESH from calling application Import_Ascii to all running HDS applications.
    [2024-05-15 22:29:56|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:29:58|HdsData|HDSApp|WARN]: Failed to access process System.Diagnostics.Process (HN32-TaskMan). System.InvalidOperationException: Process has exited, so the requested information is not available.
       at System.Diagnostics.Process.EnsureState(State state)
       at System.Diagnostics.Process.get_ProcessName()
       at HdsDB.HDSApp.Equals(HDSApp other)
    [2024-05-15 22:29:58|TaskManager|frmMain|INFO]: Removed closed application Main_Menu from list of applications.
    [2024-05-15 22:29:58|TaskManager|frmMain|INFO]: Closing application.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:32:56|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:32:58|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:32:58|TaskManager|frmMain|INFO]: Loading running HDSlog applications.
    [2024-05-15 22:32:58|TaskManager|frmMain|INFO]: Added running process "HN32-TaskMan" as HDSlog application TaskManager.
    [2024-05-15 22:32:58|TaskManager|frmMain|INFO]: Added running process "HN32-00" as HDSlog application Main_Menu.
    [2024-05-15 22:33:06|MainMenu|frmMain|INFO]: Current HDSlog path is "C:\HDSlog\".
    [2024-05-15 22:33:07|MainMenu|frmMain|INFO]: Current data path is "P:\2002\2002_06\Logs\".
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Sending message HDS_ALL_FILE_CLOSE from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x3 lparam=0x16 result=0x0" from calling application Main_Menu.
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Attempting to launch application Import_Ascii with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:33:20|TaskManager|frmMain|INFO]: Application Import_Ascii is not running. Attempting to launch executable file "C:\HDSlog\HN32-22.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:33:23|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:33:24|TaskManager|frmMain|INFO]: Added running process "HN32-22" as HDSlog application Import_Ascii.
    [2024-05-15 22:33:24|TaskManager|frmMain|INFO]: Application HN32-22 was launched successfully.
    [2024-05-15 22:33:24|TaskManager|frmMain|INFO]: Attempting to set active window to Import_Ascii.
    [2024-05-15 22:33:25|ImportLAS|frmSelectFile|INFO]: Set initial directory to default input directory "P:\2002\2002_06\Logs\".
    [2024-05-15 22:33:44|ImportLAS|frmMain|INFO]: Processing input file #1 "P:\2002\2002_06\Logs\42365357410000_05_15_24_1504.LAS" with output file "P:\2002\2002_06\Logs\A.mdb".
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x16 lparam=0x3 result=0x0" from calling application Import_Ascii.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 22".
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:36:43|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    
    --- For support, contact HDS at hds@hds-log.com, +1 (713)-690-0556, or visit our website at https://hds-log.com. ---
    
    [2024-05-15 22:36:44|TaskManager|frmMain|INFO]: Removed closed application Import_Ascii from list of applications.
    [2024-05-15 22:37:43|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:37:43|FileExplorer|frmExplorer|INFO]: Loading directories for data path "P:\2002\2002_06\Logs".
    [2024-05-15 22:37:43|TaskManager|frmMain|INFO]: Added running process "HN32-Explorer" as HDSlog application File_Explorer.
    [2024-05-15 22:37:45|HdsData|HDSDatabase|ERROR]: Failed to check fields for table "Header001" in file "P:\2002\2002_06\Logs\A.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\A.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.CheckFields(String file, String table, String fields)
    [2024-05-15 22:37:55|HdsData|HDSDatabase|ERROR]: Failed to retrieve table name for table "FormationTops001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.GetTableName(String file, String table)
    [2024-05-15 22:38:09|HdsData|HDSDatabase|ERROR]: Failed to check if table "FormationTops001" exists in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.TableExists(String file, String table)
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x2 lparam=0x3 result=0x0" from calling application File_Explorer.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to launch application Main_Menu with command line arguments "0 -CallingApp 2".
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Cannot run application Main_Menu since it is already running, switching to running application instead.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Application HN32-00 was launched successfully.
    [2024-05-15 22:38:22|TaskManager|frmMain|INFO]: Attempting to set active window to Main_Menu.
    [2024-05-15 22:38:24|TaskManager|frmMain|INFO]: Sending message HDS_ALL_RELOAD from calling application Main_Menu to all running HDS applications.
    [2024-05-15 22:38:25|TaskManager|frmMain|INFO]: Removed closed application File_Explorer from list of applications.
    [2024-05-15 22:38:25|MainMenu|mod_Main|INFO]: Loaded Curve names from table "CurveData001".
    [2024-05-15 22:38:26|HdsData|HDSDatabase|ERROR]: Failed to retrieve table name for table "FormationTops001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.GetTableName(String file, String table)
    [2024-05-15 22:38:37|HdsData|HDSDatabase|ERROR]: Failed to retrieve table name for table "PerfData001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.GetTableName(String file, String table)
    [2024-05-15 22:38:49|MainMenu|frmMain|INFO]: Finished loading file "P:\2002\2002_06\Logs\42-365-35107.mdb" in 25.03 sec.
    [2024-05-15 22:38:49|MainMenu|frmMain|INFO]: Currently active Data Set is "Load Run 1" with a Measured Depth range of 1444 F to 9904 F.
    [2024-05-15 22:38:49|MainMenu|frmMain|INFO]: Loaded 51 Curves and 1 Borehole runs in 25.05 sec.
    [2024-05-15 22:38:51|MainMenu|frmMain|INFO]: Finished loading Header child window in 120 ms.
    [2024-05-15 22:38:54|TaskManager|frmMain|INFO]: Received 'Launch Application' request "msg=0xc21e hwnd=0x80888 wparam=0x3 lparam=0x2f result=0x0" from calling application Main_Menu.
    [2024-05-15 22:38:54|TaskManager|frmMain|INFO]: Attempting to launch application Log_Plots with command line arguments "0 -CallingApp 3".
    [2024-05-15 22:38:54|TaskManager|frmMain|INFO]: Application Log_Plots is not running. Attempting to launch executable file "C:\HDSlog\HN32-13.exe" with arguments "0 -CallingApp 3".
    [2024-05-15 22:38:59|HdsData|HDSModule|INFO]: HDSlog v1.23.0.4 - Workstation License [Issued To: ATXCPE, Expires: 7/29/2024, Package: Full, Verified: true]
    [2024-05-15 22:39:00|TaskManager|frmMain|INFO]: Added running process "HN32-13" as HDSlog application Log_Plots.
    [2024-05-15 22:39:00|TaskManager|frmMain|INFO]: Application HN32-13 was launched successfully.
    [2024-05-15 22:39:00|TaskManager|frmMain|INFO]: Attempting to set active window to Log_Plots.
    [2024-05-15 22:39:02|LogPlots|frmMain|INFO]: Initializing current file "P:\2002\2002_06\Logs\42-365-35107.mdb".
    [2024-05-15 22:39:03|HdsLP|LogPlot|INFO]: Started loading file "P:\2002\2002_06\Logs\42-365-35107.mdb".
    [2024-05-15 22:39:03|HdsLP|LogPlot|INFO]: Currently active data set is "Load Run 1".
    [2024-05-15 22:39:05|HdsData|HDSDatabase|ERROR]: Failed to check fields for table "Rmf001" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsDB.HDSDatabase.CheckFields(String file, String table, String fields)
    [2024-05-15 22:39:11|HdsLP|clsImages|ERROR]: Failed to load log images from table "LogImages" in file "P:\2002\2002_06\Logs\42-365-35107.mdb". System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsLP.clsImages.LoadFromMdb(String file)
    [2024-05-15 22:39:13|HdsData|ExceptionHandler|ERROR]: Failed to create report for exception System.Runtime.InteropServices.COMException (0x800A0BE9): Cannot open database 'P:\2002\2002_06\Logs\42-365-35107.mdb'.  It may not be a database that your application recognizes, or the file may be corrupt.
       at DAO._DBEngine.OpenDatabase(String Name, Object Options, Object ReadOnly, Object Connect)
       at HdsLP.clsImages.LoadFromMdb(String file). System.IO.IOException: The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process.
       at System.IO.__Error.WinIOError(Int32 errorCode, String maybeFullPath)
       at System.IO.FileStream.Init(String path, FileMode mode, FileAccess access, Int32 rights, Boolean useRights, FileShare share, Int32 bufferSize, FileOptions options, SECURITY_ATTRIBUTES secAttrs, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
       at System.IO.FileStream..ctor(String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, FileOptions options, String msgPath, Boolean bFromProxy, Boolean useLongPath, Boolean checkHost)
       at System.IO.StreamWriter.CreateFile(String path, Boolean append, Boolean checkHost)
       at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding, Int32 bufferSize, Boolean checkHost)
       at System.IO.StreamWriter..ctor(String path, Boolean append, Encoding encoding)
       at System.IO.File.InternalAppendAllText(String path, String contents, Encoding encoding)
       at System.IO.File.AppendAllText(String path, String contents)
       at NBug.Core.Util.Logging.Logger.<>c.<.cctor>b__0_0(String message, LoggerCategory category)
       at NBug.Core.Util.Logging.Logger.Write(String message, LoggerCategory category)
       at NBug.Core.Reporting.BugReport.OnProcessException(Exception exception, Report report)
       at HdsDB.Exceptions.ExceptionHandler.Handle(HDSModule app, Exception exception, String message)
    
      
  • files/42-365-35107.mdb (4,161,536 bytes)

Installation Type

Relationships

has duplicate 1494 Archived The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process. @ Void WinIOError(Int32, System.String) @ System.IO.__Error 
has duplicate 1493 Archived The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process. @ Void WinIOError(Int32, System.String) @ System.IO.__Error 
has duplicate 1492 Archived The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process. @ Void WinIOError(Int32, System.String) @ System.IO.__Error 
has duplicate 1491 Archived The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process. @ Void WinIOError(Int32, System.String) @ System.IO.__Error 
has duplicate 1507 Archived The process cannot access the file 'C:\HDSlog\NBug.log' because it is being used by another process. @ Void WinIOError(Int32, System.String) @ System.IO.__Error 

Activities